Main Page | Modules | Class List | File List | Class Members | File Members

# Constructors

## Functions
| CxImage::CxImage (BYTE *buffer, DWORD size, DWORD imagetype)
| CxImage::CxImage (CxFile *stream, DWORD imagetype)
| CxImage::CxImage (FILE *stream, DWORD imagetype)
| CxImage::CxImage (const TCHAR *filename, DWORD imagetype)
| CxImage::CxImage (const CxImage &src, bool copypixels=true, bool copyselection=true, bool copyalpha=true)
| CxImage::CxImage (DWORD dwWidth, DWORD dwHeight, DWORD wBpp, DWORD imagetype=0)
| CxImage::CxImage (DWORD imagetype=0)
CxImage & | CxImage::operator= (const CxImage &)
virtual | CxImage::~CxImage ()

## Function Documentation

CxImage::CxImage | ( | BYTE * | buffer,
|  | DWORD | size,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Constructor from memory buffer, see Decode() Parameters:
  | buffer: | memory buffer
  | size: | size of buffer
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS

CxImage::CxImage | ( | CxFile * | stream,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Constructor from CxFile object, see Decode() Parameters:
  | stream: | file handle (implemented using CxMemFile or CxIOFile), with read access.
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS

CxImage::CxImage | ( | FILE * | stream,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Constructor from file handle, see Decode() Parameters:
  | stream: | file handle, with read access.
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS

CxImage::CxImage | ( | const TCHAR * | filename,
|  | DWORD | imagetype
| ) | `[inherited]`

  | Constructor from file name, see Load() Parameters:
  | filename: | file name
  | imagetype: | file format, see ENUM_CXIMAGE_FORMATS

CxImage::CxImage | ( | const CxImage & | src,
|  | bool | copypixels = `true`,
|  | bool | copyselection = `true`,
|  | bool | copyalpha = `true`
| ) | `[inherited]`

  | image constructor from existing source Parameters:
  | src: | source image.
  | copypixels: | copy the pixels from the source image into the new image.
  | copyselection: | copy the selection from source
  | copyalpha: | copy the alpha channel from source
See also: Copy

CxImage::CxImage | ( | DWORD | dwWidth,
|  | DWORD | dwHeight,
|  | DWORD | wBpp,
|  | DWORD | imagetype = `0`
| ) | `[inherited]`

  | Sized image constructor Parameters:
  | dwWidth: | width
  | dwHeight: | height
  | wBpp: | bit per pixel, can be 1, 4, 8, 24
  | imagetype: | (optional) set the image format, see ENUM_CXIMAGE_FORMATS

CxImage::CxImage | ( | DWORD | imagetype = `0` | ) | `[inherited]`

  | Empty image constructor Parameters:
  | imagetype: | (optional) set the image format, see ENUM_CXIMAGE_FORMATS

CxImage & CxImage::operator= | ( | const CxImage & | isrc | ) | `[inherited]`

| See also: Copy

virtual CxImage::~CxImage | ( |  | ) | `[inline, virtual, inherited]`